Package org.gradle.play.tasks

## Class PlayRun

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.play.tasks.PlayRun

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`

      @Incubating
      public class PlayRun
      extends org.gradle.api.internal.ConventionTask

  Task to run a Play application.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlayRun()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getApplicationJar()` | The Play application jar to run.
    `Set<File>` | `getAssetsDirs()` | The directories of the assets for the Play application (for live reload functionality).
    `File` | `getAssetsJar()` | The assets jar to run with the Play application.
    `FileCollection` | `getChangingClasspath()` | The changing classpath for the Play application.
    `org.gradle.deployment.internal.DeploymentRegistry` | `getDeploymentRegistry()` |
    `BaseForkOptions` | `getForkOptions()` | fork options for the running a Play application.
    `int` | `getHttpPort()` | The HTTP port listened to by the Play application.
    `FileCollection` | `getRuntimeClasspath()` | The runtime classpath for the Play application.
    `DirectoryProperty` | `getWorkingDir()` | The working directory.
    `void` | `run()` |
    `void` | `setApplicationJar​(File applicationJar)` |
    `void` | `setAssetsDirs​(Set<File> assetsDirs)` |
    `void` | `setAssetsJar​(File assetsJar)` |
    `void` | `setChangingClasspath​(FileCollection changingClasspath)` |
    `void` | `setHttpPort​(int httpPort)` |
    `void` | `setPlayToolProvider​(org.gradle.play.internal.toolchain.PlayToolProvider playToolProvider)` |
    `void` | `setRuntimeClasspath​(FileCollection runtimeClasspath)` |

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayRun

          public PlayRun()

  - ### Method Detail

    - #### getForkOptions

          public BaseForkOptions getForkOptions()

      fork options for the running a Play application.

    - #### run

          public void run()

    - #### getHttpPort

          @Internal
          public int getHttpPort()

      The HTTP port listened to by the Play application. This port should be available. The Play application will fail to start if the port is already in use.
      Returns:
        HTTP port

    - #### setHttpPort

          public void setHttpPort​(int httpPort)

    - #### getWorkingDir

          @Internal
          public DirectoryProperty getWorkingDir()

      The working directory.
      Since:
        4.4

    - #### getApplicationJar

          @Classpath
          public File getApplicationJar()

      The Play application jar to run.

    - #### setApplicationJar

          public void setApplicationJar​(File applicationJar)

    - #### getAssetsJar

          @Classpath
          public File getAssetsJar()

      The assets jar to run with the Play application.

    - #### setAssetsJar

          public void setAssetsJar​(File assetsJar)

    - #### getAssetsDirs

          @InputFiles
          @PathSensitive(RELATIVE)
          public Set<File> getAssetsDirs()

      The directories of the assets for the Play application (for live reload functionality).

    - #### setAssetsDirs

          public void setAssetsDirs​(Set<File> assetsDirs)

    - #### getRuntimeClasspath

          @Classpath
          public FileCollection getRuntimeClasspath()

      The runtime classpath for the Play application.
      Since:
        5.0

    - #### setRuntimeClasspath

          public void setRuntimeClasspath​(FileCollection runtimeClasspath)

    - #### getChangingClasspath

          @Classpath
          public FileCollection getChangingClasspath()

      The changing classpath for the Play application.
      Since:
        5.0

    - #### setChangingClasspath

          public void setChangingClasspath​(FileCollection changingClasspath)

    - #### setPlayToolProvider

          public void setPlayToolProvider​(org.gradle.play.internal.toolchain.PlayToolProvider playToolProvider)

    - #### getDeploymentRegistry

          @Inject
          public org.gradle.deployment.internal.DeploymentRegistry getDeploymentRegistry()